#include <GlcdPlus.h>
#include <math.h>

GlcdPlus glcd ;

float tsin[360] ;

void setup()
{
  glcd.backLight(1) ;

  glcd.clear(GLCD_SELECT_ALL) ;
  
  glcd.println("MicroFan GLCD-PLUS") ;
  glcd.println("Arduino Mini Shield") ;
  glcd.println("GLCD 128x64, MicroSD") ;
  glcd.println("") ;
  glcd.println("Lissajous Curve") ;

  for (int i = 0; i < 360; i++) {
    tsin[i] = sin(M_PI *i / 180) ;
  }
  
  delay(5000) ;
}

int delta = 0 ;
int c = 3;

void loop()
{
   glcd.clear(GLCD_SELECT_ALL) ;

  if (glcd.sw1())
     c = 3 ;
  if (glcd.sw2())
     c = 5;

  for (int i = 0; i < 360; i++) {
     glcd.pset((tsin[i] * 50) + 64, (tsin[((i + 45) * c + delta) % 360] * 30) + 32, GLCD_PIXEL_SET) ;
  }  
    
  delta += 10 ;
  if (delta > 360)
    delta = 0 ;

  delay(200) ;
}