#include <GlcdPlus.h>

GlcdPlus glcd ;

void setup()
{
  int x, y, i ;

  glcd.backLight(1) ;

  glcd.clear(GLCD_SELECT_ALL) ;
  
  glcd.println("MicroFan GLCD-PLUS") ;
  glcd.println("Arduino Mini Shield") ;
  glcd.println("GLCD 128x64, MicroSD") ;

  glcd.drawRectangle(0, 1, 127, 39, GLCD_PIXEL_SET) ;
  glcd.drawLine(0, 20, 127, 20, GLCD_PIXEL_SET) ;

  for (x = 0, y = 30, i = 1; x < 256; x++, y += i) {
    if (y > 35)
      i = -1 ;
    if (y < 5)
      i = 1 ;

    glcd.pset(x/2, y, GLCD_PIXEL_SET) ;
  }
}

void loop()
{
  if (glcd.sw1())
    glcd.backLight(1) ;
    
  if (glcd.sw2())
    glcd.backLight(0) ;
    
  delay(100) ;
}
